Page MenuHomePhabricator

[clang-format] [PR52228] clang-format csharp inconsistant nested namespace indentation
ClosedPublic

Authored by MyDeveloperDay on Oct 31 2021, 7:18 AM.

Details

Summary

https://bugs.llvm.org/show_bug.cgi?id=52228

For multilevel namespaces in C# get their content indented when NamespaceIndentation: None is set, where as single level namespaces are formatted correctly.

Diff Detail

Unit TestsFailed

TimeTest
1,620 msx64 debian > XRay-x86_64-linux.TestCases/Posix::basic-filtering.cpp
Script: -- : 'RUN: at line 4'; /var/lib/buildkite-agent/builds/llvm-project/build/./bin/clang --driver-mode=g++ -fxray-instrument -m64 -std=c++11 /var/lib/buildkite-agent/builds/llvm-project/compiler-rt/test/xray/TestCases/Posix/basic-filtering.cpp -o /var/lib/buildkite-agent/builds/llvm-project/build/projects/compiler-rt/test/xray/X86_64LinuxConfig/TestCases/Posix/Output/basic-filtering.cpp.tmp -g

Event Timeline

MyDeveloperDay requested review of this revision.Oct 31 2021, 7:18 AM
MyDeveloperDay created this revision.
MyDeveloperDay added reviewers: jbcoe, exv, lunasorcery.

Add a new more tests
Remove unneeded include

(adding C# Reviewers)

This revision is now accepted and ready to land.Oct 31 2021, 12:31 PM
jbcoe accepted this revision.Nov 5 2021, 4:48 PM
This revision was landed with ongoing or failed builds.Nov 13 2021, 6:14 AM
This revision was automatically updated to reflect the committed changes.